maxitem.json: Get max item ID

API: firebaseio.com:hackernews
Endpoint: /maxitem.json
Response format: application/json
Auth: unknown
Method: GET
Last Status: 200
Latency: 456ms

Description

Returns a single integer representing the highest item ID currently in the system. Useful for discovering new content and estimating total item count.

From spec: Returns the current largest item ID. Useful for discovering new items.

Usage Tips

- Returns just the ID number, not an object - IDs increase sequentially - Subtract 10-20 to get recently posted items

Examples (1)

Get the most recent item ID probe-gate

Returns the highest item ID currently in the HN system, useful for discovering new content.

curl 'https://hacker-news.firebaseio.com/v0/maxitem.json'
import requests

resp = requests.get("https://hacker-news.firebaseio.com/v0/maxitem.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("firebaseio")
result = api.fetch("maxitem.json")

for item in result:
    print(item)
const resp = await fetch("https://hacker-news.firebaseio.com/v0/maxitem.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:13:20.489305 200 456ms
2026-04-15 01:52:46.510138 200 332ms
2026-04-14 01:07:35.592201 200 325ms
2026-04-12 13:13:46.304544 200 343ms
2026-04-10 04:12:56.091827 200 408ms
2026-04-09 00:28:19.093694 200 369ms